/* config.VMS  Generated manually by lane@duphy4.physics.drexel.edu */

/* Define if on AIX 3.
   System headers sometimes define this.
   We just want to avoid a redefinition error message.  */
#ifndef _ALL_SOURCE
#undef _ALL_SOURCE
#endif

/* Define if the closedir function returns void instead of int.  */
#undef CLOSEDIR_VOID

/* Define to empty if the keyword does not work.  */
#define const

/* Define if you don't have vprintf but do have _doprnt.  */
#undef HAVE_DOPRNT

/* Define if you support file names longer than 14 characters.  */
#define HAVE_LONG_FILE_NAMES    1

/* Define if you have the vprintf function.  */
#define HAVE_VPRINTF            1

/* Define if on MINIX.  */
#undef _MINIX

/* Define to `int' if <sys/types.h> doesn't define.  */
#undef mode_t

/* Define to `long' if <sys/types.h> doesn't define.  */
#undef off_t

/* Define to `int' if <sys/types.h> doesn't define.  */
#undef pid_t

/* Define if the system does not provide POSIX.1 features except
   with this defined.  */
#undef _POSIX_1_SOURCE

/* Define if you need to in order for stat and other things to work.  */
#undef _POSIX_SOURCE

#define _POSIX_C_SOURCE 2

/* Define as the return type of signal handlers (int or void).  */
#define RETSIGTYPE void

/* Define to `unsigned' if <sys/types.h> doesn't define.  */
#undef size_t

/* Define if you have the ANSI C header files.  */
#define STDC_HEADERS    1

/* Define if you can safely include both <sys/time.h> and <time.h>.  */
#undef TIME_WITH_SYS_TIME

/* Define if you have the _doprintf function.  */
#undef HAVE__DOPRINTF

/* Define if you have the fseeko function.  */
#undef HAVE_FSEEKO

/* Define if you have the isascii function.  */
#define HAVE_ISASCII    1

/* Define if you have the memchr function.  */
#define HAVE_MEMCHR     1

/* Define if you have the memcmp function.  */
#define HAVE_MEMCMP     1

/* Define if you have the mkdir function.  */
#define HAVE_MKDIR      1

/* Define if you have the mktemp function.  */
#define HAVE_MKTEMP     1

/* Define if you have the pathconf function.  */
#define HAVE_PATHCONF   1

/* Define if you have the raise function.  */
#define HAVE_RAISE      1

/* Define if you have the rename function.  */
#define HAVE_RENAME     1

/* Define if you have the rmdir function.   .. a guess ...*/
#define HAVE_RMDIR      (__CRTL_VER >= 70000000)

/* Define if you have the setmode function.  */
#undef HAVE_SETMODE

/* Define if you have the sigaction function.  */
#define HAVE_SIGACTION   (__VMS_VER >= 70000000)

/* Define if you have the sigprocmask function.  */
#define HAVE_SIGPROCMASK (__VMS_VER >= 70000000)

/* Define if you have the sigsetmask function.  */
#define HAVE_SIGSETMASK  (__VMS_VER >= 70000000)

/* Define if you have the strerror function.  */
#define HAVE_STRERROR    1

/* Define if you have the <dirent.h> header file.  */
#define HAVE_DIRENT_H    (__VMS_VER >= 70000000)

/* Define if you have the <fcntl.h> header file.  */
#define HAVE_FCNTL_H   1

/* Define if you have the <limits.h> header file.  */
#define HAVE_LIMITS_H  1

/* Define if you have the <ndir.h> header file.  */
#undef HAVE_NDIR_H

/* Define if you have the <string.h> header file.  */
#define HAVE_STRING_H   1

/* Define if you have the <sys/dir.h> header file.  */
#undef HAVE_SYS_DIR_H

/* Define if you have the <sys/ndir.h> header file.  */
#undef HAVE_SYS_NDIR_H

/* Define if you have the <unistd.h> header file.  */
#define HAVE_UNISTD_H   1

/* Define if you have the <utime.h> header file.  */
#undef HAVE_UTIME_H

/* Define if you have the <varargs.h> header file.  */
#define HAVE_VARARGS_H

/* Number of bits in a file offset, on hosts where this is settable. */
#undef _FILE_OFFSET_BITS

/* Define to make fseeko etc. visible, on some hosts. */
#undef _LARGEFILE_SOURCE

/* Define for large files, on AIX-style hosts. */
#undef _LARGE_FILES

/* Define if compiler has function prototypes */
#define PROTOTYPES      1

/* Define if <inttypes.h> exists, doesn't clash with <sys/types.h>,
   and declares uintmax_t.  */
#undef HAVE_INTTYPES_H

/* Define if struct utimbuf is declared -- usually in <utime.h>.
   Some systems have utime.h but don't declare the struct anywhere.  */
#undef HAVE_STRUCT_UTIMBUF

/* Define if the malloc check has been performed.  */
#define HAVE_DONE_WORKING_MALLOC_CHECK   1

/* Define to rpl_malloc if the replacement function should be used. */
#undef malloc

/* Define if the realloc check has been performed.  */
#define HAVE_DONE_WORKING_REALLOC_CHECK   1

/* Define to rpl_realloc if the replacement function should be used. */
#undef realloc

/* Define if there is a member named d_ino in the struct describing
   directory headers. */
#undef D_INO_IN_DIRENT


#include <stdlib.h>
#include <strings.h>
#include <stdio.h>

#define Fseek  my_fseek

#define TMPDIR     "/sys$scratch"
#define TTY_DEVICE "tt:"

#define ed_PROGRAM ""

void io_redirection(int *argc, char ***argv);

#if __VMS_VER < 70000000
int strncasecmp(const char *s0, const char *s1, size_t n);
#include <unixio.h>
#define unlink(f) delete(f)
#endif

/*
    Oh, the weird stuff you find..
                                  
    on some systems (vms6.2, DECC 5.5) the CRTL barfs on "unix" style
    filenames that have the "file type" begin with a '-'...VMS style
    is okay...  so:
        fopen("blah.-blah","w")     OK, defaults to VMS style
        fopen("[]blah.-blah","w")   OK
        fopen("./blah.-blah","w")   FAILS with file specification syntax err

    To ADD to the fun, the DECC$TO_VMS routine has the same problem;
    so instead of using a straight conversion, we hack off everything
    from the ".", translate to VMS, and tack it back on.

    The filenames are converted to VMS form for open/creat/rename/unlink
    etc. CRTL functions; otherwise we use the unix form for compatibility
    with filename mangling. 

    Here I'll assume that all pre 7.0 systems have broken .- handling
    YMMV.  It doesn't hurt to assume brokeness, there's a very minor
    speed penalty.
*/

#define BROKEN_DOT_MINUS  (__VMS_VER < 70000000)

char * vms_vmsify(char *name);

char * vms_unixify(char *name);
